Package org.lwjgl.opencl

# Class CLCapabilities

java.lang.Object
org.lwjgl.opencl.CLCapabilities

public final class CLCapabilities extends Object

## Method Summary

Modifier and Type
Method
Description
`static CLDeviceCapabilities`
`getDeviceCapabilities(CLDevice device)`
`static CLPlatformCapabilities`
`getPlatformCapabilities(CLPlatform platform)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Method Details

### getPlatformCapabilities

public static CLPlatformCapabilities getPlatformCapabilities(CLPlatform platform)

### getDeviceCapabilities

public static CLDeviceCapabilities getDeviceCapabilities(CLDevice device)